<?php

// Load the initiation file
require_once($_SERVER["DOCUMENT_ROOT"] . "/../classes/initiation.php");

$accessControlManager = new AccessControlManager();

// Set values
$name = (trim($_REQUEST["name"]) != "") ? trim($_REQUEST["name"]) : null;

if ($_REQUEST["id"] != "new" && $_REQUEST["id"] != "") {
	$group = $accessControlManager->getGroup($_REQUEST["id"]);
	if (!$group) header("Location: groups.php");
} else {

	$groupNameCheck = $accessControlManager->getGroup(null, $name);
	if ($groupNameCheck) {
		header("Location: groups.php?error=" . Group::ERROR_GROUPEXISTS);
		return;
	}	
	
	$group = new Group();
}

// Verify username and name
if (is_null($name)) {
	header("Location: groups.php?error=" . Group::ERROR_NONAME);
	return;
}

// Are we changing the username?
if ($group->getName() != $name) {
	$groupNameCheck = $accessControlManager->getGroup(null, $name);
	if ($groupNameCheck && $groupNameCheck->getId() != $_REQUEST["id"]) {
		header("Location: groups.php?error=" . Group::ERROR_GROUPEXISTS);
		return;
	}	
}

$group->setName($name);
$group->setDescription($_REQUEST["description"]);

// save user
if (!$group->store()) {
	Logger::Error("AccessControl::post_edit_group", "Could not update user in database!");
}

if (!empty($_REQUEST["group"]) && is_array($_REQUEST["group"])) {
	$accessControlManager->addMembersFromGroup($group, $_REQUEST["group"]);
} else {
	$accessControlManager->addMembersFromGroup($group, array());
}

if (!empty($_REQUEST["datatype"]) && is_array($_REQUEST["datatype"])) {
	$accessControlManager->updateDataTypesInGroup($group, $_REQUEST["datatype"]);
} else {
	$accessControlManager->updateDataTypesInGroup($group, array());
}

if (!empty($_REQUEST["folders"]) && is_array($_REQUEST["folders"])) {
	$accessControlManager->updateFoldersInGroup($group, $_REQUEST["folders"]);	
} else {
	$accessControlManager->updateFoldersInGroup($group, array());
}
header("Location: groups.php");

?>
